> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/commerce-openapis/data-warehouse/users.md).

# Users

## GET /users/

> This method gets user profile details including username, email and various status or preferences indicators such as if the user is active, staff, superuser, or verified.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Omnitron Remote Proxy (external access - recommended)","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com","description":"Omnitron server URL."}}},{"description":"Commerce API Server (internal / direct access only)","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.akinon.com","description":"Internal Commerce API URL. Not reachable directly by external clients; use the Omnitron proxy server above."}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedUserList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/User"},"type":"array"}},"type":"object"},"User":{"properties":{"attributes":{"description":"This field defines a dictionary containing the user's attributes.","type":"string"},"attributes_kwargs":{"description":"This field defines a dictionary containing the user's attributes.","type":"string"},"avatar":{"description":"This field defines the user's photo.","type":"string"},"call_allowed":{"description":"This field defines the user's call communication consent.","type":"string"},"date_joined":{"description":"This field defines the creation date.","type":"string"},"date_of_birth":{"description":"This field defines the user's birthday.","type":"string"},"email":{"description":"Email address of the user or entity.","format":"email","maxLength":254,"title":"E-posta adresi","type":"string"},"email_allowed":{"description":"This field defines the user's email communication consent.","type":"string"},"first_name":{"description":"The full name or label associated with the record.","maxLength":150,"title":"Adı","type":"string"},"gender":{"description":"This field defines the user's gender. Possible values are: **male**, **female**, **not_to_say**","type":["string","null"]},"groups":{"description":"This field defines the permission groups to which the user is added.","type":"string"},"id":{"description":"This field defines the database ID of the record.","type":"string"},"is_active":{"description":"This field defines whether the user is active.","type":"string"},"is_anonymized":{"description":"This field defines whether the user has been anonymized.","type":"string"},"is_staff":{"description":"This field defines whether the user is a staff.","type":"string"},"is_superuser":{"description":"This field defines whether the user is a super user.","type":"string"},"language_code":{"description":"This field defines the user's local language.","type":"string"},"last_login":{"description":"This field defines the date of the user's last login.","type":"string"},"last_name":{"description":"The full name or label associated with the record.","maxLength":150,"title":"Soyadı","type":"string"},"localized_attributes":{"description":"This field defines a dictionary containing translations of the user's attributes based on the language.","type":"string"},"localized_attributes_kwargs":{"description":"This field defines a dictionary containing translations of the user's attributes based on the language.","type":"string"},"modified_date":{"description":"This field defines the last updated date.","type":"string"},"phone":{"description":"This field defines the user's phone number.","type":"string"},"pk":{"title":"ID","type":"integer"},"sms_allowed":{"description":"This field defines the user's SMS communication consent.","type":"string"},"user_permissions":{"description":"This field defines the user’s permissions.","type":"string"},"user_type":{"description":"This field defines the user type. Possible values are: **guest**, **registered**","type":"string"},"username":{"description":"This field defines the username.","type":"string"}},"type":"object"}}},"paths":{"/users/":{"get":{"description":"This method gets user profile details including username, email and various status or preferences indicators such as if the user is active, staff, superuser, or verified.","operationId":"users_list","parameters":[{"description":"Query parameter `attributes` used to filter results based on specific conditions.","in":"query","name":"attributes","schema":{}},{"description":"Query parameter `attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"attributes_kwargs","schema":{}},{"description":"Query parameter `call_allowed` used to filter results based on specific conditions.","in":"query","name":"call_allowed","schema":{"type":"boolean"}},{"description":"Query parameter `date_joined` used to filter results based on specific conditions.","in":"query","name":"date_joined","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `date_of_birth` used to filter results based on specific conditions.","in":"query","name":"date_of_birth","schema":{"format":"date","type":"string"}},{"description":"Query parameter `email` used to filter results based on specific conditions.","in":"query","name":"email","schema":{"type":"string"}},{"description":"Query parameter `email_allowed` used to filter results based on specific conditions.","in":"query","name":"email_allowed","schema":{"type":"boolean"}},{"description":"Query parameter `first_name` used to filter results based on specific conditions.","in":"query","name":"first_name","schema":{"type":"string"}},{"description":"Query parameter `gender` used to filter results based on specific conditions. Possible values are **male**, **female**, **not_to_say**.","in":"query","name":"gender","schema":{"type":"string","enum":["male","female","not_to_say"]}},{"description":"Query parameter `groups` used to filter results based on specific conditions.","explode":true,"in":"query","name":"groups","schema":{"items":{"type":"integer"},"type":"array"},"style":"form"},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Query parameter `is_active` used to filter results based on specific conditions.","in":"query","name":"is_active","schema":{"type":"boolean"}},{"description":"Query parameter `is_anonymized` used to filter results based on specific conditions.","in":"query","name":"is_anonymized","schema":{"type":"boolean"}},{"description":"Query parameter `is_staff` used to filter results based on specific conditions.","in":"query","name":"is_staff","schema":{"type":"boolean"}},{"description":"Query parameter `is_superuser` used to filter results based on specific conditions.","in":"query","name":"is_superuser","schema":{"type":"boolean"}},{"description":"Query parameter `language_code` used to filter results based on specific conditions.","in":"query","name":"language_code","schema":{"type":"string"}},{"description":"Query parameter `last_login` used to filter results based on specific conditions.","in":"query","name":"last_login","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `last_name` used to filter results based on specific conditions.","in":"query","name":"last_name","schema":{"type":"string"}},{"description":"Limits the number of records returned in a single page. The maximum is 1000. A higher value is capped at 1000 and the request still succeeds.","in":"query","name":"limit","required":false,"schema":{"maximum":1000,"type":"integer"}},{"description":"Query parameter `localized_attributes` used to filter results based on specific conditions.","in":"query","name":"localized_attributes","schema":{}},{"description":"Query parameter `localized_attributes_kwargs` used to filter results based on specific conditions.","in":"query","name":"localized_attributes_kwargs","schema":{}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `password` used to filter results based on specific conditions.","in":"query","name":"password","schema":{"type":"string"}},{"description":"Query parameter `phone` used to filter results based on specific conditions.","in":"query","name":"phone","schema":{"type":"string"}},{"description":"Query parameter `sms_allowed` used to filter results based on specific conditions.","in":"query","name":"sms_allowed","schema":{"type":"boolean"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `user_permissions` used to filter results based on specific conditions.","explode":true,"in":"query","name":"user_permissions","schema":{"items":{"type":"integer"},"type":"array"},"style":"form"},{"description":"Query parameter `user_type` used to filter results based on specific conditions.","in":"query","name":"user_type","schema":{"type":"string"}},{"description":"Query parameter `username` used to filter results based on specific conditions.","in":"query","name":"username","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedUserList"}}},"description":"Successful response for status code 200."}},"tags":["users"]}}}}
```

## GET /users/{id}/

> This method gets user profile details including username, email and various status or preferences indicators such as if the user is active, staff, superuser, or verified. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Omnitron Remote Proxy (external access - recommended)","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com","description":"Omnitron server URL."}}},{"description":"Commerce API Server (internal / direct access only)","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.akinon.com","description":"Internal Commerce API URL. Not reachable directly by external clients; use the Omnitron proxy server above."}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"User":{"properties":{"attributes":{"description":"This field defines a dictionary containing the user's attributes.","type":"string"},"attributes_kwargs":{"description":"This field defines a dictionary containing the user's attributes.","type":"string"},"avatar":{"description":"This field defines the user's photo.","type":"string"},"call_allowed":{"description":"This field defines the user's call communication consent.","type":"string"},"date_joined":{"description":"This field defines the creation date.","type":"string"},"date_of_birth":{"description":"This field defines the user's birthday.","type":"string"},"email":{"description":"Email address of the user or entity.","format":"email","maxLength":254,"title":"E-posta adresi","type":"string"},"email_allowed":{"description":"This field defines the user's email communication consent.","type":"string"},"first_name":{"description":"The full name or label associated with the record.","maxLength":150,"title":"Adı","type":"string"},"gender":{"description":"This field defines the user's gender. Possible values are: **male**, **female**, **not_to_say**","type":["string","null"]},"groups":{"description":"This field defines the permission groups to which the user is added.","type":"string"},"id":{"description":"This field defines the database ID of the record.","type":"string"},"is_active":{"description":"This field defines whether the user is active.","type":"string"},"is_anonymized":{"description":"This field defines whether the user has been anonymized.","type":"string"},"is_staff":{"description":"This field defines whether the user is a staff.","type":"string"},"is_superuser":{"description":"This field defines whether the user is a super user.","type":"string"},"language_code":{"description":"This field defines the user's local language.","type":"string"},"last_login":{"description":"This field defines the date of the user's last login.","type":"string"},"last_name":{"description":"The full name or label associated with the record.","maxLength":150,"title":"Soyadı","type":"string"},"localized_attributes":{"description":"This field defines a dictionary containing translations of the user's attributes based on the language.","type":"string"},"localized_attributes_kwargs":{"description":"This field defines a dictionary containing translations of the user's attributes based on the language.","type":"string"},"modified_date":{"description":"This field defines the last updated date.","type":"string"},"phone":{"description":"This field defines the user's phone number.","type":"string"},"pk":{"title":"ID","type":"integer"},"sms_allowed":{"description":"This field defines the user's SMS communication consent.","type":"string"},"user_permissions":{"description":"This field defines the user’s permissions.","type":"string"},"user_type":{"description":"This field defines the user type. Possible values are: **guest**, **registered**","type":"string"},"username":{"description":"This field defines the username.","type":"string"}},"type":"object"}}},"paths":{"/users/{id}/":{"get":{"description":"This method gets user profile details including username, email and various status or preferences indicators such as if the user is active, staff, superuser, or verified. This endpoint retrieves a specific record by its unique identifier.","operationId":"users_retrieve","parameters":[{"description":"A unique integer value identifying this user.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["users"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.akinon.com/commerce-openapis/data-warehouse/users.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
